summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/workstation-duplicity6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/workstation-duplicity b/bin/workstation-duplicity
index cec03722..d40681c3 100755
--- a/bin/workstation-duplicity
+++ b/bin/workstation-duplicity
@@ -4,6 +4,9 @@ set -e
. $HOME/.shenv
+# this should ensure that notify-send works when script is run by crond
+export XDG_RUNTIME_DIR=/run/user/$(id -u)
+
FLAG_FILE="$HOME/local/duplicity-flag-file"
DUPLY_PROFILE="$(hostname -s)-$(whoami)-home"
@@ -59,3 +62,6 @@ fi
# if it was successful, update flag file so cronjob doesn't do this
# again for four hours
touch $FLAG_FILE
+
+notify-send --urgency=low --icon=package_network \
+ "duplicity incremental backup @ $(date '+%-l:%M%#p %Z')" ||: